Source: golang-github-jroimartin-gocui
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jack Henschel <jackdev@mailbox.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-nsf-termbox-go-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/jroimartin/gocui
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jroimartin-gocui
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jroimartin-gocui.git
XS-Go-Import-Path: github.com/jroimartin/gocui
Testsuite: autopkgtest-pkg-go

Package: golang-github-jroimartin-gocui-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-nsf-termbox-go-dev,
Description: Minimalist Go package aimed at creating Console User Interfaces
 Features
 • Minimalist API.
 • Views (the "windows" in the GUI) implement the interface io.ReadWriter.
 • Support for overlapping views.
 • The GUI can be modified at runtime (concurrent-safe).
 • Global and view-level keybindings.
 • Mouse support.
 • Colored text.
 • Customizable edition mode.
 • Easy to build reusable widgets, complex layouts...
